Path::IsDev::Role::Matcher::Child::Exists::Any::Dir(3)

NAME
Path::IsDev::Role::Matcher::Child::Exists::Any::Dir - Match if a path contains one of any of a list of directories

VERSION
version 1.001003

METHODS

  "child_exists_dir"
    $class->child_exists_dir( $result_object, $childname );

Return match if $childname exists as a directory child of "$result_object->path".

  "child_exists_any_dir"
    $class->child_exists_any_dir( $result_object, @childnames );

Return match if any of @childnames exist under "$result_object->path" and are directories.

AUTHOR
Kent Fredric <kentnl@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2017 by Kent Fredric <kentfredric@gmail.com>.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.